@echo off & color 1f & mode con cols=80 lines=31 & title 윈도우 업데이트 정리 

net sess>nul 2>&1||(start mshta.exe vbscript:code(close(Execute("CreateObject(""Shell.Application"").ShellExecute""%~0"",,,""RunAs"",1"^)^)^)&exit)

echo.
echo.
echo.
echo                               %date% %time%
echo                               ----------------------
echo.
echo                 ===================================================
echo                 업데이트 구성요소중 사용중인 패키지를 제외하고 
echo                 모든 패키지를 삭제 합니다 (이전 버전으로 롤백 불가)
echo                 ===================================================
echo.
echo                           진행 할려면 아무키나 누르세요. & pause > nul
cls
echo.
echo.
echo                              =======================
echo                               WinSxS 폴더 크기 분석
echo                              =======================
echo.
Dism.exe /online /Cleanup-Image /AnalyzeComponentStore
ping -n 7 127.0.0.1 >nul
cls
echo.
echo.
echo                 =================================================
echo                  업데이트 구성 요소 전체 패키지 삭제 (롤백 불가)
echo                 =================================================
echo.
Dism.exe /online /Cleanup-Image /StartComponentCleanup /ResetBase
echo.
echo WinSxS 폴더를 정리했습니다.
ping -n 8 127.0.0.1 >nul
cls
echo.
echo.
echo                       =================================== 
echo                        업데이트 파일 임시 저장 폴더 정리 
echo                       ===================================
echo.
echo Windows 업데이트 서비스 중지후 SoftwareDistribution 폴더 삭제...
echo.
net stop wuauserv > nul
rmdir /s /q %windir%\softwaredistribution 
ping -n 7 127.0.0.1 >nul
net start wuauserv
echo SoftwareDistribution 폴더 새로 생성...
echo.
echo.
echo 업데이트 정리가 완료되었습니다. 아무키나 누르세요. & pause > nul






